[arch-commits] Commit in libgksu/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Apr 4 16:23:47 EDT 2009


    Date: Saturday, April 4, 2009 @ 16:23:47
  Author: jgc
Revision: 33807

Merged revisions 33800 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libgksu/trunk

........
  r33800 | jgc | 2009-04-04 20:11:01 +0000 (Sat, 04 Apr 2009) | 1 line
  
  upgpkg: libgksu 2.0.8-1
........

Modified:
  libgksu/repos/extra-x86_64/	(properties)
  libgksu/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)


Property changes on: libgksu/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /libgksu/trunk:1-5575
   + /libgksu/trunk:1-33806

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-04 20:22:58 UTC (rev 33806)
+++ extra-x86_64/PKGBUILD	2009-04-04 20:23:47 UTC (rev 33807)
@@ -2,28 +2,28 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=libgksu
-pkgver=2.0.7
+pkgver=2.0.8
 pkgrel=1
 pkgdesc="gksu authorization library"
 arch=(i686 x86_64)
 url="http://www.nongnu.org/gksu/index.html"
 license=(GPL)
-depends=('gnome-keyring>=2.22.3' 'libgtop>=2.22.3'
-         'libglade>=2.6.2' 'startup-notification>=0.9')
+depends=('gnome-keyring>=2.26.0' 'libgtop>=2.26.0'
+         'libglade>=2.6.4' 'startup-notification>=0.9')
 makedepends=('gtk-doc' 'pkgconfig')
-options=('!libtool')
+options=('!libtool' '!emptydirs')
 install=libgksu.install
 source=(http://people.debian.org/~kov/gksu/${pkgname}-${pkgver}.tar.gz)
-md5sums=('2f2c6a21281370942ea2855553d3ad89')
+md5sums=('bb86d22c8eba9ef6571030218338ef1f')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static || return 1
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
-  rm -f ${startdir}/pkg/usr/lib/*.a
-  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
+  rm -f ${pkgdir}/usr/lib/*.a
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" --domain libgksu ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }



More information about the arch-commits mailing list